[arch-commits] Commit in stellarium/trunk (PKGBUILD libpng14.patch)
Eric Bélanger
eric at archlinux.org
Thu Jan 21 22:37:04 UTC 2010
Date: Thursday, January 21, 2010 @ 17:37:04
Author: eric
Revision: 64702
upgpkg: stellarium 0.10.2-4
Rebuilt for libpng 1.4 and libjpeg 8
Added:
stellarium/trunk/libpng14.patch
Modified:
stellarium/trunk/PKGBUILD
----------------+
PKGBUILD | 12 +++++++-----
libpng14.patch | 21 +++++++++++++++++++++
2 files changed, 28 insertions(+), 5 deletions(-)
Modified: PKGBUILD
===================================================================
--- PKGBUILD 2010-01-21 22:30:44 UTC (rev 64701)
+++ PKGBUILD 2010-01-21 22:37:04 UTC (rev 64702)
@@ -4,7 +4,7 @@
pkgname=stellarium
pkgver=0.10.2
-pkgrel=3
+pkgrel=4
pkgdesc="A stellarium with great graphics and a nice database of sky-objects"
arch=("i686" "x86_64")
url="http://stellarium.free.fr/"
@@ -12,13 +12,15 @@
depends=('libpng' 'mesa' 'libgl' 'freetype2' 'qt>=4.5.1' 'openssl')
makedepends=('cmake' 'boost')
source=("http://downloads.sourceforge.net/$pkgname/$pkgname-$pkgver.tar.gz" \
- 'stellarium.desktop' 'stellarium.png')
-md5sums=('c544fff9e75e9317055075b658ae5924'
- 'b4f9ebd082c4e112c2bbfac9f2c8465d'
- '134ab08e73f4f5d995a7931a7957b7a3')
+ 'stellarium.desktop' 'stellarium.png' libpng14.patch)
+md5sums=('c544fff9e75e9317055075b658ae5924' 'b4f9ebd082c4e112c2bbfac9f2c8465d'\
+ '134ab08e73f4f5d995a7931a7957b7a3' '15864ddcc1f26e3cfe38aaf267681b5e')
+sha1sums=('aa24cbb8d4a911121108df67483b4c753402928e' 'c9cc79212542238227b5bd6af99f60fe056f4ab2'\
+ 'b890d3b6c4dcfcfcc696514202af11b2a50c0fea' '0ce37d370f3c6ab67c1b863e309bd1ba86183c63')
build() {
cd ${srcdir}/${pkgname}-${pkgver}
+ patch -p1 < ../libpng14.patch || return 1
cmake . -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=RELEASE || return 1
make || return 1
make DESTDIR=${pkgdir} install || return 1
Added: libpng14.patch
===================================================================
--- libpng14.patch (rev 0)
+++ libpng14.patch 2010-01-21 22:37:04 UTC (rev 64702)
@@ -0,0 +1,21 @@
+diff -Naur stellarium-0.10.2-orig/src/core/StelTextureMgr.cpp stellarium-0.10.2/src/core/StelTextureMgr.cpp
+--- stellarium-0.10.2-orig/src/core/StelTextureMgr.cpp 2010-01-21 17:04:57.000000000 -0500
++++ stellarium-0.10.2/src/core/StelTextureMgr.cpp 2010-01-21 17:06:55.000000000 -0500
+@@ -513,7 +513,7 @@
+ fread (magic, 1, sizeof (magic), fp);
+
+ /* check for valid magic number */
+- if (!png_check_sig (magic, sizeof (magic)))
++ if (png_sig_cmp (magic, 0, sizeof (magic)))
+ {
+ qWarning() << "error: \"" << filename << "\" is not a valid PNG image!";
+ fclose (fp);
+@@ -576,7 +576,7 @@
+ /* convert 1-2-4 bits grayscale images to 8 bits
+ grayscale. */
+ if (color_type == PNG_COLOR_TYPE_GRAY && bit_depth < 8)
+- png_set_gray_1_2_4_to_8 (png_ptr);
++ png_set_expand_gray_1_2_4_to_8 (png_ptr);
+
+ if (png_get_valid (png_ptr, info_ptr, PNG_INFO_tRNS))
+ png_set_tRNS_to_alpha (png_ptr);
More information about the arch-commits
mailing list